zenilib: zenilib/jni/external/openal-soft/include/AL/alc.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Typedefs | Functions
alc.h File Reference

Go to the source code of this file.

## Macros

#define | ALC_ALL_ATTRIBUTES 0x1003
#define | ALC_ALL_DEVICES_SPECIFIER 0x1013
#define | ALC_API extern
#define | ALC_APIENTRY
#define | ALC_ATTRIBUTES_SIZE 0x1002
#define | ALC_CAPTURE_DEFAULT_DEVICE_SPECIFIER 0x311
#define | ALC_CAPTURE_DEVICE_SPECIFIER 0x310
#define | ALC_CAPTURE_SAMPLES 0x312
#define | ALC_DEFAULT_ALL_DEVICES_SPECIFIER 0x1012
#define | ALC_DEFAULT_DEVICE_SPECIFIER 0x1004
#define | ALC_DEVICE_SPECIFIER 0x1005
#define | ALC_ENUMERATE_ALL_EXT 1
#define | ALC_EXT_CAPTURE 1
#define | ALC_EXTENSIONS 0x1006
#define | ALC_FALSE 0
#define | ALC_FREQUENCY 0x1007
#define | ALC_INVALID 0
#define | ALC_INVALID_CONTEXT 0xA002
#define | ALC_INVALID_DEVICE 0xA001
#define | ALC_INVALID_ENUM 0xA003
#define | ALC_INVALID_VALUE 0xA004
#define | ALC_MAJOR_VERSION 0x1000
#define | ALC_MINOR_VERSION 0x1001
#define | ALC_MONO_SOURCES 0x1010
#define | ALC_NO_ERROR 0
#define | ALC_OUT_OF_MEMORY 0xA005
#define | ALC_REFRESH 0x1008
#define | ALC_STEREO_SOURCES 0x1011
#define | ALC_SYNC 0x1009
#define | ALC_TRUE 1
#define | ALC_VERSION_0_1 1
#define | ALCAPI ALC_API
#define | ALCAPIENTRY ALC_APIENTRY

## Typedefs

typedef char | ALCboolean
typedef signed char | ALCbyte
typedef char | ALCchar
typedef struct ALCcontext_struct | ALCcontext
typedef struct ALCdevice_struct | ALCdevice
typedef double | ALCdouble
typedef int | ALCenum
typedef float | ALCfloat
typedef int | ALCint
typedef short | ALCshort
typedef int | ALCsizei
typedef unsigned char | ALCubyte
typedef unsigned int | ALCuint
typedef unsigned short | ALCushort
typedef void | ALCvoid
typedef ALCboolean(ALC_APIENTRY * | LPALCCAPTURECLOSEDEVICE )(ALCdevice *device)
typedef ALCdevice *(ALC_APIENTRY * | LPALCCAPTUREOPENDEVICE )(const ALCchar *devicename, ALCuint frequency, ALCenum format, ALCsizei buffersize)
typedef void(ALC_APIENTRY * | LPALCCAPTURESAMPLES )(ALCdevice *device, ALCvoid *buffer, ALCsizei samples)
typedef void(ALC_APIENTRY * | LPALCCAPTURESTART )(ALCdevice *device)
typedef void(ALC_APIENTRY * | LPALCCAPTURESTOP )(ALCdevice *device)
typedef ALCboolean(ALC_APIENTRY * | LPALCCLOSEDEVICE )(ALCdevice *device)
typedef ALCcontext *(ALC_APIENTRY * | LPALCCREATECONTEXT )(ALCdevice *device, const ALCint *attrlist)
typedef void(ALC_APIENTRY * | LPALCDESTROYCONTEXT )(ALCcontext *context)
typedef ALCdevice *(ALC_APIENTRY * | LPALCGETCONTEXTSDEVICE )(ALCcontext *context)
typedef ALCcontext *(ALC_APIENTRY * | LPALCGETCURRENTCONTEXT )(void)
typedef ALCenum(ALC_APIENTRY * | LPALCGETENUMVALUE )(ALCdevice *device, const ALCchar *enumname)
typedef ALCenum(ALC_APIENTRY * | LPALCGETERROR )(ALCdevice *device)
typedef void(ALC_APIENTRY * | LPALCGETINTEGERV )(ALCdevice *device, ALCenum param, ALCsizei size, ALCint *values)
typedef void *(ALC_APIENTRY * | LPALCGETPROCADDRESS )(ALCdevice *device, const ALCchar *funcname)
typedef const ALCchar *(ALC_APIENTRY * | LPALCGETSTRING )(ALCdevice *device, ALCenum param)
typedef ALCboolean(ALC_APIENTRY * | LPALCISEXTENSIONPRESENT )(ALCdevice *device, const ALCchar *extname)
typedef ALCboolean(ALC_APIENTRY * | LPALCMAKECONTEXTCURRENT )(ALCcontext *context)
typedef ALCdevice *(ALC_APIENTRY * | LPALCOPENDEVICE )(const ALCchar *devicename)
typedef void(ALC_APIENTRY * | LPALCPROCESSCONTEXT )(ALCcontext *context)
typedef void(ALC_APIENTRY * | LPALCSUSPENDCONTEXT )(ALCcontext *context)

## Functions

ALC_API ALCboolean ALC_APIENTRY | alcCaptureCloseDevice (ALCdevice *device)
ALC_API ALCdevice *ALC_APIENTRY | alcCaptureOpenDevice (const ALCchar *devicename, ALCuint frequency, ALCenum format, ALCsizei buffersize)
ALC_API void ALC_APIENTRY | alcCaptureSamples (ALCdevice *device, ALCvoid *buffer, ALCsizei samples)
ALC_API void ALC_APIENTRY | alcCaptureStart (ALCdevice *device)
ALC_API void ALC_APIENTRY | alcCaptureStop (ALCdevice *device)
ALC_API ALCboolean ALC_APIENTRY | alcCloseDevice (ALCdevice *device)
ALC_API ALCcontext *ALC_APIENTRY | alcCreateContext (ALCdevice *device, const ALCint *attrlist)
ALC_API void ALC_APIENTRY | alcDestroyContext (ALCcontext *context)
ALC_API ALCdevice *ALC_APIENTRY | alcGetContextsDevice (ALCcontext *context)
ALC_API ALCcontext *ALC_APIENTRY | alcGetCurrentContext (void)
ALC_API ALCenum ALC_APIENTRY | alcGetEnumValue (ALCdevice *device, const ALCchar *enumname)
ALC_API ALCenum ALC_APIENTRY | alcGetError (ALCdevice *device)
ALC_API void ALC_APIENTRY | alcGetIntegerv (ALCdevice *device, ALCenum param, ALCsizei size, ALCint *values)
ALC_API void *ALC_APIENTRY | alcGetProcAddress (ALCdevice *device, const ALCchar *funcname)
ALC_API const ALCchar *ALC_APIENTRY | alcGetString (ALCdevice *device, ALCenum param)
ALC_API ALCboolean ALC_APIENTRY | alcIsExtensionPresent (ALCdevice *device, const ALCchar *extname)
ALC_API ALCboolean ALC_APIENTRY | alcMakeContextCurrent (ALCcontext *context)
ALC_API ALCdevice *ALC_APIENTRY | alcOpenDevice (const ALCchar *devicename)
ALC_API void ALC_APIENTRY | alcProcessContext (ALCcontext *context)
ALC_API void ALC_APIENTRY | alcSuspendContext (ALCcontext *context)

## Macro Definition Documentation

#define ALC_ALL_ATTRIBUTES 0x1003

Definition at line 126 of file alc.h.

Referenced by alcGetIntegerv().

#define ALC_ALL_DEVICES_SPECIFIER 0x1013

String for the given extended device's specifier.

If device handle is NULL, it is instead a null-char separated list of strings of known extended device specifiers (list ends with an empty string).

Definition at line 166 of file alc.h.

Referenced by alcGetString().

#define ALC_API extern

Definition at line 14 of file alc.h.

#define ALC_APIENTRY

Definition at line 21 of file alc.h.

#define ALC_ATTRIBUTES_SIZE 0x1002

Context attribute list properties.

Definition at line 125 of file alc.h.

Referenced by alcGetIntegerv().

#define ALC_CAPTURE_DEFAULT_DEVICE_SPECIFIER 0x311

String for the default capture device specifier.

Definition at line 151 of file alc.h.

Referenced by alcGetString(), and main().

#define ALC_CAPTURE_DEVICE_SPECIFIER 0x310

String for the given capture device's specifier.

If device handle is NULL, it is instead a null-char separated list of strings of known capture device specifiers (list ends with an empty string).

Definition at line 149 of file alc.h.

Referenced by alcGetString(), and main().

#define ALC_CAPTURE_SAMPLES 0x312

Number of sample frames available for capture.

Definition at line 153 of file alc.h.

Referenced by alcGetIntegerv().

#define ALC_DEFAULT_ALL_DEVICES_SPECIFIER 0x1012

String for the default extended device specifier.

Definition at line 159 of file alc.h.

Referenced by alcGetString().

#define ALC_DEFAULT_DEVICE_SPECIFIER 0x1004

String for the default device specifier.

Definition at line 129 of file alc.h.

Referenced by alcGetString(), and main().

#define ALC_DEVICE_SPECIFIER 0x1005

String for the given device's specifier.

If device handle is NULL, it is instead a null-char separated list of strings of known device specifiers (list ends with an empty string).

Definition at line 136 of file alc.h.

Referenced by alcGetString(), InitAL(), main(), and printALCInfo().

#define ALC_ENUMERATE_ALL_EXT 1

Enumerate All extension

Definition at line 157 of file alc.h.

#define ALC_EXT_CAPTURE 1

Capture extension

Definition at line 142 of file alc.h.

#define ALC_EXTENSIONS 0x1006

String for space-separated list of ALC extensions.

Definition at line 138 of file alc.h.

Referenced by alcGetString(), and printALCInfo().

#define ALC_FALSE 0

Boolean False.

Definition at line 81 of file alc.h.

Referenced by alc_alsa_init(), alc_pa_init(), alc_pulse_init(), alc_sndio_init(), alcCaptureCloseDevice(), alcCloseDevice(), alcDSoundInit(), alcGetIntegerv(), alcIsExtensionPresent(), alcIsRenderFormatSupportedSOFT(), alcMakeContextCurrent(), alcMMDevApiInit(), alcSetThreadContext(), alsa_load(), alsa_reset_playback(), alsa_start_playback(), aluHandleDisconnect(), ca_reset_playback(), ca_start_playback(), DSoundLoad(), DSoundResetPlayback(), DSoundStartPlayback(), InitAL(), IsValidALCChannels(), IsValidALCType(), main(), MakeExtensible(), MMDevApiResetPlayback(), MMDevApiStartPlayback(), null_start_playback(), opensl_reset_playback(), opensl_start_playback(), oss_reset_playback(), oss_start_playback(), pa_load(), pa_reset_playback(), pa_start_playback(), sndio_reset_playback(), sndio_start_playback(), solaris_reset_playback(), solaris_start_playback(), UpdateDeviceParams(), wave_reset_playback(), wave_start_playback(), WinMMResetPlayback(), and WinMMStartPlayback().

#define ALC_FREQUENCY 0x1007

Context attribute: <int> Hz.

Definition at line 87 of file alc.h.

Referenced by alcGetIntegerv(), and UpdateDeviceParams().

#define ALC_INVALID 0

Definition at line 28 of file alc.h.

#define ALC_INVALID_CONTEXT 0xA002

Invalid context handle.

Definition at line 108 of file alc.h.

Referenced by alcGetContextsDevice(), alcGetString(), alcMakeContextCurrent(), and alcSetThreadContext().

#define ALC_INVALID_DEVICE 0xA001

Invalid device handle.

Definition at line 105 of file alc.h.

Referenced by alcCaptureCloseDevice(), alcCaptureSamples(), alcCaptureStart(), alcCaptureStop(), alcCloseDevice(), alcCreateContext(), alcGetIntegerv(), alcGetString(), alcIsRenderFormatSupportedSOFT(), alcRenderSamplesSOFT(), and UpdateDeviceParams().

#define ALC_INVALID_ENUM 0xA003

Invalid enum parameter passed to an ALC call.

Definition at line 111 of file alc.h.

Referenced by alcCaptureOpenDevice(), alcGetIntegerv(), alcGetString(), DSoundOpenCapture(), and WinMMOpenCapture().

#define ALC_INVALID_VALUE 0xA004

Invalid value parameter passed to an ALC call.

Definition at line 114 of file alc.h.

Referenced by alcCaptureOpenDevice(), alcCaptureSamples(), alcGetEnumValue(), alcGetIntegerv(), alcGetProcAddress(), alcGetString(), alcIsExtensionPresent(), alcIsRenderFormatSupportedSOFT(), alcLoopbackOpenDeviceSOFT(), alcOpenDevice(), alcRenderSamplesSOFT(), alsa_open_capture(), alsa_open_playback(), ca_capture_samples(), ca_open_capture(), ca_open_playback(), DSoundOpenCapture(), DSoundOpenPlayback(), MMDevApiOpenPlayback(), null_open_playback(), opensl_open_playback(), oss_open_capture(), oss_open_playback(), pa_open_capture(), pa_open_playback(), sndio_open_playback(), solaris_open_playback(), UpdateDeviceParams(), wave_open_playback(), WinMMOpenCapture(), and WinMMOpenPlayback().

#define ALC_MAJOR_VERSION 0x1000

Runtime ALC version.

Definition at line 121 of file alc.h.

Referenced by alcGetIntegerv(), and printALCInfo().

#define ALC_MINOR_VERSION 0x1001

Definition at line 122 of file alc.h.

Referenced by alcGetIntegerv(), and printALCInfo().

#define ALC_MONO_SOURCES 0x1010

Context attribute: <int> requested Mono (3D) Sources.

Definition at line 96 of file alc.h.

Referenced by alcGetIntegerv().

#define ALC_NO_ERROR 0

No error.

Definition at line 102 of file alc.h.

Referenced by alcCaptureOpenDevice(), alcCaptureSamples(), alcCreateContext(), alcGetError(), alcGetString(), alcLoopbackOpenDeviceSOFT(), alcOpenDevice(), alsa_capture_samples(), alsa_open_capture(), alsa_open_playback(), ca_capture_samples(), ca_open_capture(), ca_open_playback(), checkALCErrors(), DSoundCaptureSamples(), DSoundOpenCapture(), DSoundOpenPlayback(), loopback_open_playback(), MMDevApiOpenPlayback(), null_open_playback(), opensl_open_playback(), oss_capture_samples(), oss_open_capture(), oss_open_playback(), pa_capture_samples(), pa_open_capture(), pa_open_playback(), printALCInfo(), printEFXInfo(), sndio_open_playback(), solaris_open_playback(), UpdateDeviceParams(), wave_open_playback(), WinMMCaptureSamples(), WinMMOpenCapture(), and WinMMOpenPlayback().

#define ALC_OUT_OF_MEMORY 0xA005

Out of memory.

Definition at line 117 of file alc.h.

Referenced by alcCaptureOpenDevice(), alcCreateContext(), alcGetString(), alcLoopbackOpenDeviceSOFT(), alcOpenDevice(), alsa_open_playback(), DSoundOpenCapture(), DSoundOpenPlayback(), MMDevApiOpenPlayback(), opensl_open_playback(), oss_open_capture(), pa_open_capture(), WinMMOpenCapture(), and WinMMOpenPlayback().

#define ALC_REFRESH 0x1008

Context attribute: <int> Hz.

Definition at line 90 of file alc.h.

Referenced by alcGetIntegerv().

#define ALC_STEREO_SOURCES 0x1011

Context attribute: <int> requested Stereo Sources.

Definition at line 99 of file alc.h.

Referenced by alcGetIntegerv(), and UpdateDeviceParams().

#define ALC_SYNC 0x1009

Context attribute: AL_TRUE or AL_FALSE.

Definition at line 93 of file alc.h.

Referenced by alcGetIntegerv().

#define ALC_TRUE 1

Boolean True.

Definition at line 84 of file alc.h.

Referenced by alc_alsa_init(), alc_ca_init(), alc_initconfig(), alc_loopback_init(), alc_null_init(), alc_opensl_init(), alc_oss_init(), alc_pa_init(), alc_sndio_init(), alc_solaris_init(), alc_wave_init(), alcCaptureCloseDevice(), alcCaptureOpenDevice(), alcCloseDevice(), alcDSoundInit(), alcIsExtensionPresent(), alcIsRenderFormatSupportedSOFT(), alcLoopbackOpenDeviceSOFT(), alcMakeContextCurrent(), alcMMDevApiInit(), alcOpenDevice(), alcSetThreadContext(), alcWinMMInit(), alsa_load(), alsa_reset_playback(), alsa_start_playback(), ca_reset_playback(), ca_start_playback(), DSoundLoad(), DSoundResetPlayback(), DSoundStartPlayback(), IsValidALCChannels(), IsValidALCType(), loopback_reset_playback(), loopback_start_playback(), MakeExtensible(), MMDevApiResetPlayback(), MMDevApiStartPlayback(), null_reset_playback(), null_start_playback(), opensl_reset_playback(), opensl_start_playback(), oss_reset_playback(), oss_start_playback(), pa_load(), pa_reset_playback(), pa_start_playback(), sndio_load(), sndio_reset_playback(), sndio_start_playback(), solaris_reset_playback(), solaris_start_playback(), wave_reset_playback(), wave_start_playback(), WinMMResetPlayback(), and WinMMStartPlayback().

#define ALC_VERSION_0_1 1

Supported ALC version?

Definition at line 31 of file alc.h.

#define ALCAPI ALC_API

Deprecated macro.

Definition at line 26 of file alc.h.

#define ALCAPIENTRY ALC_APIENTRY

Definition at line 27 of file alc.h.

## Typedef Documentation

typedef char ALCboolean

8-bit boolean

Definition at line 39 of file alc.h.

typedef signed char ALCbyte

signed 8-bit 2's complement integer

Definition at line 45 of file alc.h.

typedef char ALCchar

character

Definition at line 42 of file alc.h.

typedef struct ALCcontext_struct ALCcontext

Opaque context handle

Definition at line 36 of file alc.h.

typedef struct ALCdevice_struct ALCdevice

Opaque device handle

Definition at line 34 of file alc.h.

typedef double ALCdouble

64-bit IEEE754 floating-point

Definition at line 72 of file alc.h.

typedef int ALCenum

enumerated 32-bit value

Definition at line 66 of file alc.h.

typedef float ALCfloat

32-bit IEEE754 floating-point

Definition at line 69 of file alc.h.

typedef int ALCint

signed 32-bit 2's complement integer

Definition at line 57 of file alc.h.

typedef short ALCshort

signed 16-bit 2's complement integer

Definition at line 51 of file alc.h.

typedef int ALCsizei

non-negative 32-bit binary integer size

Definition at line 63 of file alc.h.

typedef unsigned char ALCubyte

unsigned 8-bit integer

Definition at line 48 of file alc.h.

typedef unsigned int ALCuint

unsigned 32-bit integer

Definition at line 60 of file alc.h.

typedef unsigned short ALCushort

unsigned 16-bit integer

Definition at line 54 of file alc.h.

typedef void ALCvoid

void type (for opaque pointers only)

Definition at line 75 of file alc.h.

typedef ALCboolean(ALC_APIENTRY * LPALCCAPTURECLOSEDEVICE)(ALCdevice *device)

Definition at line 228 of file alc.h.

typedef ALCdevice*(ALC_APIENTRY * LPALCCAPTUREOPENDEVICE)(const ALCchar *devicename, ALCuint frequency, ALCenum format, ALCsizei buffersize)

Definition at line 227 of file alc.h.

typedef void(ALC_APIENTRY * LPALCCAPTURESAMPLES)(ALCdevice *device, ALCvoid *buffer, ALCsizei samples)

Definition at line 231 of file alc.h.

typedef void(ALC_APIENTRY * LPALCCAPTURESTART)(ALCdevice *device)

Definition at line 229 of file alc.h.

typedef void(ALC_APIENTRY * LPALCCAPTURESTOP)(ALCdevice *device)

Definition at line 230 of file alc.h.

typedef ALCboolean(ALC_APIENTRY * LPALCCLOSEDEVICE)(ALCdevice *device)

Definition at line 220 of file alc.h.

typedef ALCcontext*(ALC_APIENTRY * LPALCCREATECONTEXT)(ALCdevice *device, const ALCint *attrlist)

Pointer-to-function type, useful for dynamically getting ALC entry points.

Definition at line 212 of file alc.h.

typedef void(ALC_APIENTRY * LPALCDESTROYCONTEXT)(ALCcontext *context)

Definition at line 216 of file alc.h.

typedef ALCdevice*(ALC_APIENTRY * LPALCGETCONTEXTSDEVICE)(ALCcontext *context)

Definition at line 218 of file alc.h.

typedef ALCcontext*(ALC_APIENTRY * LPALCGETCURRENTCONTEXT)(void)

Definition at line 217 of file alc.h.

typedef ALCenum(ALC_APIENTRY * LPALCGETENUMVALUE)(ALCdevice *device, const ALCchar *enumname)

Definition at line 224 of file alc.h.

typedef ALCenum(ALC_APIENTRY * LPALCGETERROR)(ALCdevice *device)

Definition at line 221 of file alc.h.

typedef void(ALC_APIENTRY * LPALCGETINTEGERV)(ALCdevice *device, ALCenum param, ALCsizei size, ALCint *values)

Definition at line 226 of file alc.h.

typedef void*(ALC_APIENTRY * LPALCGETPROCADDRESS)(ALCdevice *device, const ALCchar *funcname)

Definition at line 223 of file alc.h.

typedef const ALCchar*(ALC_APIENTRY * LPALCGETSTRING)(ALCdevice *device, ALCenum param)

Definition at line 225 of file alc.h.

typedef ALCboolean(ALC_APIENTRY * LPALCISEXTENSIONPRESENT)(ALCdevice *device, const ALCchar *extname)

Definition at line 222 of file alc.h.

typedef ALCboolean(ALC_APIENTRY * LPALCMAKECONTEXTCURRENT)(ALCcontext *context)

Definition at line 213 of file alc.h.

typedef ALCdevice*(ALC_APIENTRY * LPALCOPENDEVICE)(const ALCchar *devicename)

Definition at line 219 of file alc.h.

typedef void(ALC_APIENTRY * LPALCPROCESSCONTEXT)(ALCcontext *context)

Definition at line 214 of file alc.h.

typedef void(ALC_APIENTRY * LPALCSUSPENDCONTEXT)(ALCcontext *context)

Definition at line 215 of file alc.h.

## Function Documentation

ALC_API ALCboolean ALC_APIENTRY alcCaptureCloseDevice | ( | ALCdevice * | device | ) |

Definition at line 2995 of file ALc.c.

ALC_API ALCdevice* ALC_APIENTRY alcCaptureOpenDevice | ( | const ALCchar * | devicename,
|  | ALCuint | frequency,
|  | ALCenum | format,
|  | ALCsizei | buffersize
| ) |  |

Capture function.

Definition at line 2922 of file ALc.c.

ALC_API void ALC_APIENTRY alcCaptureSamples | ( | ALCdevice * | device,
|  | ALCvoid * | buffer,
|  | ALCsizei | samples
| ) |  |

Definition at line 3054 of file ALc.c.

ALC_API void ALC_APIENTRY alcCaptureStart | ( | ALCdevice * | device | ) |

Definition at line 3019 of file ALc.c.

ALC_API void ALC_APIENTRY alcCaptureStop | ( | ALCdevice * | device | ) |

Definition at line 3038 of file ALc.c.

ALC_API ALCboolean ALC_APIENTRY alcCloseDevice | ( | ALCdevice * | device | ) |

Definition at line 2884 of file ALc.c.

ALC_API ALCcontext* ALC_APIENTRY alcCreateContext | ( | ALCdevice * | device,
|  | const ALCint * | attrlist
| ) |  |

Context management.

Definition at line 2463 of file ALc.c.

ALC_API void ALC_APIENTRY alcDestroyContext | ( | ALCcontext * | context | ) |

Definition at line 2539 of file ALc.c.

ALC_API ALCdevice* ALC_APIENTRY alcGetContextsDevice | ( | ALCcontext * | context | ) |

Definition at line 2638 of file ALc.c.

ALC_API ALCcontext* ALC_APIENTRY alcGetCurrentContext | ( | void |  | ) |

Definition at line 2563 of file ALc.c.

ALC_API ALCenum ALC_APIENTRY alcGetEnumValue | ( | ALCdevice * | device,
|  | const ALCchar * | enumname
| ) |  |

Definition at line 2437 of file ALc.c.

ALC_API ALCenum ALC_APIENTRY alcGetError | ( | ALCdevice * | device | ) |

Error support.

Obtain the most recent Device error.

Definition at line 2027 of file ALc.c.

ALC_API void ALC_APIENTRY alcGetIntegerv | ( | ALCdevice * | device,
|  | ALCenum | param,
|  | ALCsizei | size,
|  | ALCint * | values
| ) |  |

Definition at line 2188 of file ALc.c.

ALC_API void* ALC_APIENTRY alcGetProcAddress | ( | ALCdevice * | device,
|  | const ALCchar * | funcname
| ) |  |

Definition at line 2411 of file ALc.c.

ALC_API const ALCchar* ALC_APIENTRY alcGetString | ( | ALCdevice * | device,
|  | ALCenum | param
| ) |  |

Query function.

Definition at line 2066 of file ALc.c.

ALC_API ALCboolean ALC_APIENTRY alcIsExtensionPresent | ( | ALCdevice * | device,
|  | const ALCchar * | extname
| ) |  |

Extension support.

Query for the presence of an extension, and obtain any appropriate function pointers and enum values.

Definition at line 2373 of file ALc.c.

ALC_API ALCboolean ALC_APIENTRY alcMakeContextCurrent | ( | ALCcontext * | context | ) |

Definition at line 2590 of file ALc.c.

ALC_API ALCdevice* ALC_APIENTRY alcOpenDevice | ( | const ALCchar * | devicename | ) |

Device management.

Definition at line 2658 of file ALc.c.

ALC_API void ALC_APIENTRY alcProcessContext | ( | ALCcontext * | context | ) |

Definition at line 2056 of file ALc.c.

ALC_API void ALC_APIENTRY alcSuspendContext | ( | ALCcontext * | context | ) |

Definition at line 2047 of file ALc.c.